%define oname   culerity

Name:       ruby-%{oname}
Version:    0.2.15
Release:    %mkrel 19
Summary:    Integrates Cucumber and Celerity in order to test your application's full stack
License:    MIT
Group:      Development/Ruby
URL:        https://github.com/langalex/culerity
Source0:    https://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Culerity integrates Cucumber and Celerity in order to test your
application's full stack.

%files
%{_bindir}/run_celerity_server.rb
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i s/jruby/ruby/ bin/run_celerity_server.rb

%build
%gem_build

%install
%gem_install

chmod 644 %{buildroot}%{gem_instdir}/lib/start_celerity.rb


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.2.15-19.mga10
+ Revision: 2211270
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.2.15-18.mga9
+ Revision: 1826885
- Mageia 9 Mass Rebuild

* Wed Oct 28 2020 pterjan <pterjan> 0.2.15-17.mga8
+ Revision: 1640299
- Depend on ruby instead of jruby

* Wed Feb 12 2020 umeabot <umeabot> 0.2.15-16.mga8
+ Revision: 1499669
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.2.15-15.mga7
+ Revision: 1275117
- Mageia 7 Mass Rebuild

* Wed Oct 19 2016 pterjan <pterjan> 0.2.15-14.mga6
+ Revision: 1062521
- Use gem_setup

* Thu Feb 04 2016 umeabot <umeabot> 0.2.15-13.mga6
+ Revision: 934996
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.2.15-12.mga5
+ Revision: 743347
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.2.15-11.mga5
+ Revision: 725231
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.15-10.mga5
+ Revision: 688778
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.2.15-9.mga4
+ Revision: 561823
- Rebuild to fix provides

* Fri Dec 27 2013 pterjan <pterjan> 0.2.15-8.mga4
+ Revision: 561118
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 0.2.15-7.mga4
+ Revision: 535350
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 0.2.15-6.mga4
+ Revision: 481944
- Rebuild for Ruby 2

* Tue Sep 10 2013 pterjan <pterjan> 0.2.15-5.mga4
+ Revision: 476953
- Fix file list and version

* Fri Feb 08 2013 umeabot <umeabot> 0.2.15-4.mga3
+ Revision: 395822
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.2.15-3.mga3
+ Revision: 380756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.2.15-2.mga3
+ Revision: 312801
- rebuild for new ruby

* Sun Feb 13 2011 shikamaru <shikamaru> 0.2.15-1.mga1
+ Revision: 51565
- imported package ruby-culerity


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.2.15-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 0.2.15

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 0.2.12-1mdv2011.0
+ Revision: 623062
- oops, fix rel
- import rubygem-culerity

